wxWidget v 3.1.0 compile errors on mac10.12

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
Post Reply
Ellan
Experienced Solver
Experienced Solver
Posts: 57
Joined: Mon May 15, 2017 10:11 am

wxWidget v 3.1.0 compile errors on mac10.12

Post by Ellan » Sun May 21, 2017 10:46 am

wx 3.1.0
Mac os 10.12
Xcode is The latest version

configure the Lib like this:
../configure --disable-mediactrl CXXFLAGS="-std=c++1y -stdlib=libc++ -DwxOSX_USE_QTKIT=0 -DwxOSX_USE_AVFOUNDATION=1" OBJCXXFLAGS="-std=c++1y -stdlib=libc++" LDFLAGS="-stdlib=libc++"

but when make I have this error:
cd ../src/stc && ./gen_iface.py
/bin/sh: ./gen_iface.py: Permission denied
make: *** [../include/wx/stc/stc.h] Error 126

anybody had this problem .

the log of configure in the attachment!

best regards!
Attachments
config7.txt
(191.78 KiB) Downloaded 39 times
Thanks

Best Regards

Ellan

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 3163
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: wxWidget v 3.1.0 compile errors on mac10.12

Post by ONEEYEMAN » Mon May 22, 2017 2:16 pm

Hi,
What is "CXXFLAGS="-std=c++1y"? Why not use "CXXFLAGS="-std=c++11"?

Also, look at the output of: "configure --help".

Thank you.

stahta01
Filthy Rich wx Solver
Filthy Rich wx Solver
Posts: 246
Joined: Fri Nov 03, 2006 2:00 pm

Re: wxWidget v 3.1.0 compile errors on mac10.12

Post by stahta01 » Mon May 22, 2017 8:31 pm

What version is meant by "Xcode is The latest version"?

NOTE: I do know what the latest version is; but, I have no idea what version the OP really has.

Tim S.

Ellan
Experienced Solver
Experienced Solver
Posts: 57
Joined: Mon May 15, 2017 10:11 am

Re: wxWidget v 3.1.0 compile errors on mac10.12

Post by Ellan » Tue May 23, 2017 9:16 am

ONEEYEMAN wrote:Hi,
What is "CXXFLAGS="-std=c++1y"? Why not use "CXXFLAGS="-std=c++11"?

Also, look at the output of: "configure --help".

Thank you.
use CXXFLAGS="-std=c++11" Is still an error
Thanks

Best Regards

Ellan

Ellan
Experienced Solver
Experienced Solver
Posts: 57
Joined: Mon May 15, 2017 10:11 am

Re: wxWidget v 3.1.0 compile errors on mac10.12

Post by Ellan » Tue May 23, 2017 9:24 am

stahta01 wrote:What version is meant by "Xcode is The latest version"?

NOTE: I do know what the latest version is; but, I have no idea what version the OP really has.

Tim S.
use "brew install wxWidgets" I have successfully installed it!but the wxMac version is 3.0.2,
I want to compile wxMac-3.1.0

Thank you.
Thanks

Best Regards

Ellan

User avatar
saifcoder
Knows some wx things
Knows some wx things
Posts: 37
Joined: Thu Nov 16, 2017 9:32 pm

Re: wxWidget v 3.1.0 compile errors on mac10.12

Post by saifcoder » Sun May 27, 2018 10:32 am

I have the same error.. this is user Permission issue right ? even with 'sudo' still can't build
sudo sh ../configure --with-osx_cocoa --with-cocoa --disable-shared --enable-unicode --enable-utf8 --enable-utf8only --disable-monolithic --disable-debug --disable-debug_flag --disable-debug_gdb CFLAGS="-m64 -arch x86_64 -Os" CXXFLAGS="-m64 -arch x86_64 -Os -std=c++11 -stdlib=libc++" LDFLAGS="-m64 -arch x86_64 -Os" OBJCFLAGS="-m64 -arch x86_64 -Os" OBJCXXFLAGS="-m64 -arch x86_64 -Os -std=c++11 -stdlib=libc++" CC="clang" CXX="clang++" --enable-shared=no --disable-universal_binary
cd ../src/stc && ./gen_iface.py
/bin/sh: ./gen_iface.py: Permission denied
make: *** [../include/wx/stc/stc.h] Error 126
CHMOD : chmod +x ...gen_iface.py
env: python\r: No such file or directory
Any help please ?

Thank you,
Debian 9 - GCC 6 - wxWidgets 3.1 U
Win 7 - GCC 5 - wxWidgets 3.1 U
Mac OS X 10.6 - GCC 4 - wxWidgets 3.1 U
i am in love with WX. Yes.

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 3163
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: wxWidget v 3.1.0 compile errors on mac10.12

Post by ONEEYEMAN » Sun May 27, 2018 5:56 pm

Hi,
You shouldn't use sudo for configure or make.
Also no chmod is required for building.

Please do just this:

Code: Select all

../configure <set_of_options>
make
And post any errors you encountered during this process.

Also, mention what is the OSX/GTK+ version you have on the machine.

And finally - why do you need to run "gen_iface.py"? Is there a reason?

Thank you.

User avatar
saifcoder
Knows some wx things
Knows some wx things
Posts: 37
Joined: Thu Nov 16, 2017 9:32 pm

Re: wxWidget v 3.1.0 compile errors on mac10.12

Post by saifcoder » Mon May 28, 2018 2:27 am

without sudo, you get permission denied in some ways, and chmod is needed to make python script executable to give configure ability to run it

gen_iface.py, and gen_docs.py is a part of scintilla in wxWidgets, it generate .h files and docs

i thing the '\r' is an end line problem, i fix it by re-writing the file by text editor, but i get **** unknown line type !

building wxWidgets in Mac, is harder than Linux and Windows :D
Debian 9 - GCC 6 - wxWidgets 3.1 U
Win 7 - GCC 5 - wxWidgets 3.1 U
Mac OS X 10.6 - GCC 4 - wxWidgets 3.1 U
i am in love with WX. Yes.

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 3163
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: wxWidget v 3.1.0 compile errors on mac10.12

Post by ONEEYEMAN » Mon May 28, 2018 4:40 am

Hi
I don't know- I built it successfully on OSX.
And I didn't need to run anything extra.- just ../configure && make.
Of course I had to supply minimal osx version to configure and debug configuration if build in debug mode.

But I never had to run anything else.
Moreover I think those scripts are for core devs..

Thank you.

User avatar
saifcoder
Knows some wx things
Knows some wx things
Posts: 37
Joined: Thu Nov 16, 2017 9:32 pm

Re: wxWidget v 3.1.0 compile errors on mac10.12

Post by saifcoder » Mon May 28, 2018 4:54 am

finally i build it ^_^

Thank you,
Debian 9 - GCC 6 - wxWidgets 3.1 U
Win 7 - GCC 5 - wxWidgets 3.1 U
Mac OS X 10.6 - GCC 4 - wxWidgets 3.1 U
i am in love with WX. Yes.

tonyvsuk
Earned a small fee
Earned a small fee
Posts: 11
Joined: Wed Oct 19, 2011 12:41 pm

Re: wxWidget v 3.1.0 compile errors on mac10.12

Post by tonyvsuk » Thu Jan 24, 2019 9:12 am

What did you change? I've got the same problem now. I've tried saving gen_iface.py with a text editor, but I still get the same errors.

tonyvsuk
Earned a small fee
Earned a small fee
Posts: 11
Joined: Wed Oct 19, 2011 12:41 pm

Re: wxWidget v 3.1.0 compile errors on mac10.12

Post by tonyvsuk » Thu Jan 24, 2019 3:31 pm

I've managed to get mine to build.

The original problem was that I copied the wxWidgets source from a Windows machine to the Mac. If I checkout the wxWidgets source directly to the Mac, it builds without any problems.

Post Reply